Skip to main content
POST
/
verify
/
age
Verify Age and Disability
curl --request POST \
  --url https://api-umbrella.io/api/services/verify/age \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "journeyId": "uniqueJourneyIdentifier",
  "ageFrom": 21,
  "ageTo": 65,
  "minDisabilityPercentage": 50
}
'
import requests

url = "https://api-umbrella.io/api/services/verify/age"

payload = {
    "journeyId": "uniqueJourneyIdentifier",
    "ageFrom": 21,
    "ageTo": 65,
    "minDisabilityPercentage": 50
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    journeyId: 'uniqueJourneyIdentifier',
    ageFrom: 21,
    ageTo: 65,
    minDisabilityPercentage: 50
  })
};

fetch('https://api-umbrella.io/api/services/verify/age', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "journeyId": "<string>",
  "status": "ageAndDisabilityVerificationComplete",
  "ageResult": "yes",
  "disabilityResult": "eligible"
}
{
  "message": "Invalid request payload"
}
{
  "message": "Unauthorized request"
}
{
  "message": "Journey not found"
}
For a usage description of the Document Verification Verify Age Service, please refer to the Document Verification page.

Endpoint

POST /verify/age

Authorizations

Authorization
string
header
required

Bearer token obtained from POST /auth. Valid for 60 minutes.

Body

application/json
journeyId
string
required

Unique identifier for the verification journey.

Example:

"uniqueJourneyIdentifier"

ageFrom
number

Minimum age for eligibility (can't combine with ageTo).

Example:

21

ageTo
number

Maximum age for eligibility (can't combine with ageFrom).

Example:

65

minDisabilityPercentage
number

Minimum disability percentage required for eligibility.

Example:

50

Response

Successfully verified age and disability.

journeyId
string

Unique identifier for the verification journey.

status
string

Status of the verification process.

Example:

"ageAndDisabilityVerificationComplete"

ageResult
enum<string>

Indicates if the individual meets the age requirement.

Available options:
yes,
no
Example:

"yes"

disabilityResult
enum<string>

Indicates if the individual meets the disability criteria.

Available options:
eligible,
not eligible
Example:

"eligible"